Loading...
Searching...
No Matches
QXmppCallStream Class Reference

Inherits QObject.

## Public Member Functions

QString | creator () const
QString | media () const
QString | name () const
int | id () const
void | setReceivePadCallback (std::function< void(GstPad *)> cb)
void | setSendPadCallback (std::function< void(GstPad *)> cb)

## Friends

class | QXmppCall
class | QXmppCallPrivate

## Detailed Description

The QXmppCallStream class represents an RTP stream in a VoIP call.

Note
  THIS API IS NOT FINALIZED YET

Since
  QXmpp 1.3

## Member Function Documentation

## creator()

QString QXmppCallStream::creator | ( |  | ) | const

Returns the JID of the creator of the call stream.

## id()

int QXmppCallStream::id | ( |  | ) | const

Returns the local ID of the stream.

## media()

QString QXmppCallStream::media | ( |  | ) | const

Returns the media type of the stream, "audio" or "video".

## name()

QString QXmppCallStream::name | ( |  | ) | const

Returns the name of the stream (e.g. "webcam" or "voice").

There is no defined format and there are no predefined values for this.

## setReceivePadCallback()

void QXmppCallStream::setReceivePadCallback | ( | std::function< void(GstPad *)> | cb | ) |

Sets a gstreamer receive pad callback.

Can be used to process or display the received data.

## setSendPadCallback()

void QXmppCallStream::setSendPadCallback | ( | std::function< void(GstPad *)> | cb | ) |

Sets a gstreamer send pad callback.

Can be used to send the stream input.

The documentation for this class was generated from the following files:

- QXmppCallStream.h
- QXmppCallStream.cpp